<?php

App::uses('EvTransactionsAppModel', 'EvTransactions.Model');

class TransactionsItem extends EvTransactionsAppModel {

	/**
	 * Display field
	 *
	 * @var string
	 */
	public $displayField = 'description';

	/**
	 * Validation rules
	 *
	 * @var array
	 */
	public $validate = array(
		'description' => array(
			'notBlank' => array(
				'rule' => array('notBlank'),
				//'message' => 'Your custom message here',
				//'allowEmpty' => false,
				//'required' => false,
				//'last' => false, // Stop validation after this rule
				//'on' => 'create', // Limit validation to 'create' or 'update' operations
			),
		),
	);

	/**
	 * belongsTo associations
	 *
	 * @var array
	 */
	public $belongsTo = array(
		'Transaction' => array(
			'className' => 'EvTransactions.Transaction'
		)
	);

	/**
	 * redefiune the model constructor so we can setup the dynamic relationship
	 */
	public function __construct($id = false, $table = null, $ds = null) {
		parent::__construct($id, $table, $ds);

		// setup dynamic relation
		$relation = Configure::read('Transactions.transactions_item_relation');
		if (! empty($relation)) {

			foreach ($relation as $model => $settings) {

				if (is_numeric($model)) {

					$model = $settings;
					$settings = array();
				}

				$settings['counterCache'] = false;
				$this->belongsTo[$model] = $settings;
			}
		}
	}

}
